@import url("https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  /* -- color  */
  --primary: #c8102e;
  --secoundry: #f53354;
  --hColor: #fefcfc;
  --pColor: #fefcfc;
  --FullWhite: #f7f7f7;
  --DimWhite: #ededed;
  --Dblack: #1b1a1a;
  --NFblack: #000000;
   --NFblackold: #232222;
  --NFblackold: #000000;
  --pagebg: #000000;
   --pagebgold: #343434;

  /* -- border radioud */
  --bdr: 3px;
  --bdr100: 100%;

  /* -- transition property */
  --Ltrns: all 0.4s linear;
  --Etrns: all 0.5s ease;
}

* {
  font-family: "Work Sans", sans-serif;

  margin: 0;

  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;

  background-color: var(--pagebg);
}

.row {
  margin: 0;
}

p {
  font-size: 14px;

  color: var(--pColor);

  letter-spacing: 1px;

  font-weight: 300;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--hColor);
}

.overSec-h {
  overflow-x: hidden;
}

/* -------------+++++ PRELOADER */
#preloader {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: #333;
  z-index: 99999;
  display: grid;
  place-items: center;
}

:root {
  --carColor: #f53354;
}

@keyframes spin {
  0% {
    transform: translate(2px, 1px) rotate(0deg);
  }
  10% {
    transform: translate(-1px, -3px) rotate(36deg);
  }
  20% {
    transform: translate(-2px, 0px) rotate(72deg);
  }
  30% {
    transform: translate(1px, 2px) rotate(108deg);
  }
  40% {
    transform: translate(1px, -1px) rotate(144deg);
  }
  50% {
    transform: translate(-1px, 3px) rotate(180deg);
  }
  60% {
    transform: translate(-1px, 1px) rotate(216deg);
  }
  70% {
    transform: translate(3px, 1px) rotate(252deg);
  }
  80% {
    transform: translate(-2px, -1px) rotate(288deg);
  }
  90% {
    transform: translate(2px, 1px) rotate(324deg);
  }
  100% {
    transform: translate(1px, -2px) rotate(360deg);
  }
}

@keyframes speed {
  0% {
    transform: translate(2px, 1px) rotate(0deg);
  }
  10% {
    transform: translate(-1px, -3px) rotate(-1deg);
  }
  20% {
    transform: translate(-2px, 0px) rotate(1deg);
  }
  30% {
    transform: translate(1px, 2px) rotate(0deg);
  }
  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }
  50% {
    transform: translate(-1px, 3px) rotate(-1deg);
  }
  60% {
    transform: translate(-1px, 1px) rotate(0deg);
  }
  70% {
    transform: translate(3px, 1px) rotate(-1deg);
  }
  80% {
    transform: translate(-2px, -1px) rotate(1deg);
  }
  90% {
    transform: translate(2px, 1px) rotate(0deg);
  }
  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

@keyframes strikes {
  from {
    left: 25px;
  }
  to {
    left: -80px;
    opacity: 0;
  }
}

@keyframes dots {
  from {
    width: 0px;
  }
  to {
    width: 15px;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.fadeIn,
.loading-window {
  animation: fadeIn 0.4s both;
}

.loading-window {
  color: var(--carColor);
  height: 200px;
  left: 50%;
  margin-left: -150px;
  margin-top: -100px;
  position: fixed;
  top: 50%;
  width: 300px;
  z-index: 99;
}
.loading-window .text {
  font-size: 16px;
  position: absolute;
  width: auto;
  top: 75%;
  left: 35%;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 1px;
  margin: 0 auto;
}
.loading-window .dots {
  display: inline-block;
  width: 5px;
  overflow: hidden;
  vertical-align: bottom;
  animation: dots 1.5s linear infinite;
  transition: 1;
}

.car {
  position: absolute;
  width: 117px;
  height: 42px;
  left: 92px;
  top: 70px;
}
.car .strike {
  position: absolute;
  width: 11px;
  height: 1px;
  background: var(--carColor);
  animation: strikes 0.8s linear infinite;
}
.car .strike2 {
  top: 11px;
  animation-delay: 0.08s;
}
.car .strike3 {
  top: 22px;
  animation-delay: 0.3s;
}
.car .strike4 {
  top: 33px;
  animation-delay: 0.15s;
}
.car .strike5 {
  top: 44px;
  animation-delay: 0.7s;
}

.car-detail {
  position: absolute;
  display: block;
  border-radius: 5px 0 0 2px;
  background: var(--carColor);
  animation: speed 0.5s linear infinite;
}

.car-detail.back {
  height: 20px;
  width: 92px;
  top: 15px;
  left: 0px;
}
.car-detail.center {
  height: 35px;
  width: 81px;
  left: 12px;
  border-top-left-radius: 30px;
  border-top-right-radius: 45px 40px;
  border: 4px solid var(--carColor);
  background: none;
  box-sizing: border-box;
}
.car-detail.center1 {
  height: 35px;
  width: 35px;
  left: 12px;
  border-top-left-radius: 30px;
}
.car-detail.front {
  height: 20px;
  width: 44px;
  top: 15px;
  left: 67px;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 3px;
}
.car-detail.wheel {
  height: 20px;
  width: 20px;
  border-radius: 50%;
  top: 20px;
  left: 12px;
  border: 3px solid #333;
  background: linear-gradient(
      45deg,
      transparent 45%,
      var(--carColor) 46%,
      var(--carColor) 54%,
      transparent 55%
    ),
    linear-gradient(
      -45deg,
      transparent 45%,
      var(--carColor) 46%,
      var(--carColor) 54%,
      transparent 55%
    ),
    linear-gradient(
      90deg,
      transparent 45%,
      var(--carColor) 46%,
      var(--carColor) 54%,
      transparent 55%
    ),
    linear-gradient(
      0deg,
      transparent 45%,
      var(--carColor) 46%,
      var(--carColor) 54%,
      transparent 55%
    ),
    radial-gradient(
      var(--carColor) 29%,
      transparent 30%,
      transparent 50%,
      var(--carColor) 51%
    ),
    #333;
  animation-name: spin;
}
.car-detail.wheel2 {
  left: 82px;
}

/*------------+++++ MARK COLOR */

::-moz-selection {
  /* Code for Firefox */

  color: white;

  background: var(--primary);
}

::selection {
  color: white;

  background: var(--primary);
}

/*--------+++ CUSTOM SCROLLBER */

::-webkit-scrollbar {
  width: 7px;
}

/* Handle */

::-webkit-scrollbar-thumb {
  background: var(--primary);
}

/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
  background: var(--secoundry);
}

/* --------------- +++ Back to top */

#myBtn {
  display: none;

  position: fixed;

  bottom: 3%;

  right: 1%;

  z-index: 10;

  cursor: pointer;

  width: 50px;

  height: 50px;

  background-color: transparent;

  transition: all 0.9s ease;

  border-radius: var(--bdr100);

  border: 2px dashed var(--pColor);

  justify-content: center;

  align-items: center;
}

#myBtn:hover {
  background-color: var(--primary);

  border: 2px dashed var(--primary);
}

#myBtn:hover a {
  transform: translateY(-3px);

  text-decoration: none;

  color: var(--FullWhite);

  display: flex !important;

  justify-content: center;

  align-items: center;
}

#myBtn a {
  color: var(--FullWhite);

  text-decoration: none;

  transition: all 0.5s ease;
}

/*--------+++ SECTION SPACING  */

.sGap {
  padding: 100px 0;
}

/*--------+++ MAIN HD  */

.mHD {
  margin-bottom: 25px;

  display: flex;

  align-items: center;
}

.mHD span {
  width: 60px;

  height: 2px;

  margin-right: 15px;

  display: inline-block;

  background-color: var(--FullWhite);
}

.mHD h3,
.mHDc h3 {
  font-size: 16px;

  text-transform: capitalize;

  color: var(--secoundry);

  margin: 0;

  font-weight: 500;
}

/*--------+++ MAIN HD Center  */

.mHDc {
  margin-bottom: 25px;

  display: flex;

  align-items: center;

  justify-content: center;
}

.mHDc span {
  width: 60px;

  height: 2px;

  display: inline-block;

  background-color: var(--FullWhite);
}

.mHDc span:first-child {
  margin-right: 15px;
}

.mHDc span:last-child {
  margin-left: 15px;
}

/*--------+++ SUB HD  */

.sHD {
  font-size: 36px;

  margin-bottom: 30px;

  color: var(--hColor);

  font-weight: 600;
}

/*--------+++ BUTTON  */

.butn {
  text-decoration: none;

  font-size: 12px;

  font-weight: 500;

  letter-spacing: 1px;

  text-transform: capitalize;

  border-radius: var(--bdr);

  /* padding: 13px 23px; */

  width: 180px;

  height: 45px;

  display: flex;

  justify-content: center;

  align-items: center;

  -webkit-padding: 13px 23px;

  overflow: hidden;
}

/* primary btn  */

.btn-p {
  background-color: var(--DimWhite);

  color: white;

  position: relative;

  z-index: 1;

  transition: var(--Ltrns);
}

.btn-p:hover {
  color: var(--primary);

  transform: translateY(3px);

  -webkit-box-shadow: 0px 18px 31px -11px rgba(0, 0, 0, 0.45);

  -moz-box-shadow: 0px 18px 31px -11px rgba(0, 0, 0, 0.45);

  box-shadow: 0px 18px 31px -11px rgba(0, 0, 0, 0.45);
}

.btn-p::before {
  content: "";

  width: 120%;

  height: 500%;

  position: absolute;

  right: 2%;

  top: 2%;

  background-color: var(--primary);

  z-index: -1;

  transform: rotate(-40deg) translate(111px, -25px);

  transition: var(--Ltrns);
}

.btn-p:hover::before {
  transform: rotate(-40deg) translate(254px, -17px);
}

/*--------+++ Visit counter BTN  */
.visitCounter {
  position: fixed;
  display: inline-block;
  background-color: #1b1a1a;
  bottom: 3%;
  left: 0;
  z-index: 10;
  padding: 8px;
  border-right: 2px solid var(--primary);
  text-decoration: none;
  text-align: center;
  transition: var(--Ltrns);
}

.visitCounter h6 {
  font-size: 12px;
  color: var(--secoundry);
  margin-bottom: 0;
}
.visitCounter span {
  font-size: 11px;
  color: var(--pColor);
}

/* $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

                    Mini Laptop (lg)

   $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ */

@media (max-width: 1207px) {
  p {
    font-size: 13px;
  }
}

/* $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

                    Mini Laptop (lg)

   $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ */

@media (max-width: 1024px) {
  /*--------+++ MAIN HD  */

  .mHD span {
    width: 50px;
  }

  .mHD h3,
  .mHDc h3 {
    font-size: 15px;
  }

  /*--------+++ MAIN HD Center  */

  .mHDc span {
    width: 50px;
  }

  /*--------+++ SUB HD  */

  .sHD {
    font-size: 30px;
  }
}

@media (min-width: 770px) and (max-width: 1407px) {
  .container {
    max-width: 90%;
  }
}

/* $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

                   Tablet (md)

   $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ */

@media (max-width: 769px) {
  .container {
    max-width: 90%;
  }

  /*--------+++ MAIN HD  */

  .mHD h3,
  .mHDc h3 {
    font-size: 13px;
  }

  /*--------+++ SUB HD  */

  .sHD {
    font-size: 25px;
  }

  /*--------+++ BUTTON  */

  .butn {
    font-size: 12px;

    padding: 12px 22px;

    -webkit-padding: 12px 22px;
  }

  /*--------+++ SECTION SPACING  */

  .sGap {
    padding: 80px 0;
  }
}

/* $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

                   Phones (sm)

   $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ */

@media (max-width: 631px) {
  .container {
    max-width: 100%;
  }

  /*--------+++ SECTION SPACING  */

  .sGap {
    padding: 60px 0;
  }

  /* --------------- +++ Back to top */

  #myBtn {
    bottom: 8%;

    width: 40px;

    height: 40px;

    font-size: 12px;
  }

  /*--------+++ WHATSAPP BTN  */

  .whatsappbtn {
    bottom: 8%;
  }
}

/* $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

                   Phones (xm)

   $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ */

@media (max-width: 345px) {
  /*--------+++ SUB HD  */

  .sHD {
    font-size: 26px;
  }
}
